use serde::{Serialize, Deserialize};
use subxt::utils::H256;

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize)]
pub struct CasperExtrinsicDetails {
    pub index: u32,
    pub hash: H256,
    pub is_signed: bool,
    pub field_bytes: Vec<u8>,
    pub address_bytes: Option<Vec<u8>>,
    pub pallet_name: String,
    pub variant_name: String,
}

impl CasperExtrinsicDetails {
    pub fn new(
        index: u32,
        hash: H256,
        is_signed: bool,
        field_bytes: Vec<u8>,
        address_bytes: Option<Vec<u8>>,
        pallet_name: String,
        variant_name: String,
    ) -> Self {
        Self {
            index,
            hash,
            is_signed,
            field_bytes,
            address_bytes,
            pallet_name,
            variant_name,
        }
    }
}
