use codec::Decode;
use strum::Display;
use serde::{Serialize, Deserialize};

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
pub struct UnlockChunk {
    pub value: u128,
    pub era: u32,
}

#[derive(Default, Debug, Clone, PartialEq, Eq, Display, Serialize, Deserialize)]
pub enum RewardDestination {
    #[default]
    None,
    Staked,
    Stash,
    Account([u8; 32]),
    Controller,
}
